
%Firstly uplaod the data relating to the CT numbers (MATLAB data)

%CT numbers at 90,110,130 keV for b1 to b5 pellets averaged for all the
%prosthetic configurations 

CT90_1 = data_high(1,1)
CT90_2 = data_high(1,2)
CT90_3 = data_high(1,3)
CT90_4 = data_high(1,4)
CT90_5 = data_high(1,5)

CT90 = [CT90_1, CT90_2, CT90_3, CT90_4, CT90_5]

CT110_1 = data_high(2,1)
CT110_2 = data_high(2,2)
CT110_3 = data_high(2,3)
CT110_4 = data_high(2,4)
CT110_5 = data_high(2,5)

CT110 = [CT110_1, CT110_2, CT110_3, CT110_4, CT110_5]

CT130_1 = data_high(3,1)
CT130_2 = data_high(3,2)
CT130_3 = data_high(3,3)
CT130_4 = data_high(3,4)
CT130_5 = data_high(3,5)

CT130 = [CT130_1, CT130_2, CT130_3, CT130_4, CT130_5]

%CT numbers at 90,110,130 keV + MARS for b1 to b5 pellets averaged for all the
%prosthetic configurations 

CT90_1_M = data_M_high(1,1)
CT90_2_M = data_M_high(1,2)
CT90_3_M = data_M_high(1,3)
CT90_4_M = data_M_high(1,4)
CT90_5_M = data_M_high(1,5)

CT90M = [CT90_1_M, CT90_2_M, CT90_3_M, CT90_4_M, CT90_5_M]

CT110_1_M = data_M_high(2,1)
CT110_2_M = data_M_high(2,2)
CT110_3_M = data_M_high(2,3)
CT110_4_M = data_M_high(2,4)
CT110_5_M = data_M_high(2,5)

CT110M = [CT110_1_M, CT110_2_M, CT110_3_M, CT110_4_M, CT110_5_M]


CT130_1_M = data_M_high(3,1)
CT130_2_M = data_M_high(3,2)
CT130_3_M = data_M_high(3,3)
CT130_4_M = data_M_high(3,4)
CT130_5_M = data_M_high(3,5)

CT130M = [CT130_1_M, CT130_2_M, CT130_3_M, CT130_4_M, CT130_5_M]

x = [CT90; CT110; CT130; CT90M; CT110M; CT130M] % K-W between VMI and VMI+MARS 

%x = [CT90; CT110; CT130] % K-W between VMI 

%x = [CT90M; CT110M; CT130M] % K-W between VMI+MARS


s = [CT90, CT110, CT130]
    
y = [CT90M, CT110M, CT130M]

 p = kruskalwallis(x')  %p-value K-W test, works with matrices

p = signrank(s,y)    %p-value W test, works with vectors